#ifndef VideoChat_H
#define VideoChat_H

#include <TextFeld.h>

using namespace Framework;

class VideoChat
{
private:
	TextFeld *verlauf;
	int ref;

public:
	// Konstruktor
	VideoChat( Schrift *zSchrift );
	// Destruktor
	~VideoChat();
	// nicht constant
	void addNachricht( char *nachricht );
	void addNachricht( char *nachricht, int farbe );
	void removeNachricht( char *nachricht );
	void doMausEreignis( MausEreignis &me );
	void tick( double z );
	void render( Bild &zRObj );
	// constant

	// Reference Counting
	VideoChat *getThis();
	VideoChat *relese();
};

#endif