#ifndef Karte_H
#define Karte_H

#include <Bild.h>

using namespace Framework;

class Kamera;

class Karte
{
private:
	int karteId;
	Bild *map;
	LRahmen *rahmen;
	int ref;

public:
	// Konstruktor
	Karte();
	// Destruktor
	~Karte();
	// nicht constant
	void setSize( int br, int h );
	void setId( int id );
	void render( Kamera *zKam, Bild &zRObj );
	// constant
	int getId() const;
	int getBreite() const;
	int getHeight() const;
	Bild *zMap() const;
	// Reference Counting
	Karte *getThis();
	Karte *release();
};

#endif