#ifndef VideoEnde_H
#define VideoEnde_H

#include <TextFeld.h>

using namespace Framework;

class VideoEnde
{
private:
	TextFeld *text;
	int ref;

public:
	// Konstruktor
	VideoEnde( Schrift *zSchrift );
	// Destruktor
	~VideoEnde();
	// nicht constant
	void setSichtbar( bool b );
	void setText( const char *txt );
	void render( Bild &zRObj );
	// constant
	bool istSichtbar() const;
	// Reference Counting
	VideoEnde *getThis();
	VideoEnde *release();
};

#endif